
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>扩展颜色对话框 / iVAN</title>

    <meta name="description" content="扩展颜色对话框 (1) 参数 typedef struct { DWORD lStructSize; HWND hwndOwner; HWND hInstance; COLORREF rgbResult; COLORREF * lpCustColors; DWORD Flags; LPARAM lCustData; LPCCHOOKPROC lpfnHook; LPCTSTR lpTemplateName; } CHOOSECOLOR, *LPCHOOSECOLOR; (2) API函数 BOOL Choose">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">扩展颜色对话框</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>(1) 参数</p>
<p><code>typedef struct {<br />
　 DWORD　　　　lStructSize;<br />
　 HWND　　　　 hwndOwner;<br />
　 HWND　　　　 hInstance;<br />
　 COLORREF　　 rgbResult;<br />
　 COLORREF　 * lpCustColors;<br />
　 DWORD　　　　Flags;<br />
　 LPARAM　　　 lCustData;<br />
　 LPCCHOOKPROC lpfnHook;<br />
　 LPCTSTR　　　lpTemplateName;<br />
} CHOOSECOLOR, *LPCHOOSECOLOR;</code></p>
<p>(2) API函数</p>
<p><code>BOOL ChooseColor(<br />
　 LPCHOOSECOLOR lpcc　 // initialization data<br />
);</code></p>
<p>(3) 回调函数，用于处理消息</p>
<p><code>UINT_PTR CALLBACK CCHookProc(<br />
　 HWND hdlg,　　　// handle to dialog box<br />
　 UINT uiMsg,　　 // message identifier<br />
　 WPARAM wParam,　// message parameter<br />
　 LPARAM lParam　 // message parameter<br />
);</code></p>
<p>方法：</p>
<p>(1)、填写结构体：</p>
<p><code>COLORREF retColor = RGB( 255,0,0);<br />
COLORREF cusColor[16];<br />
memset( cusColor, 0, sizeof( COLORREF) * 16 ); CHOOSECOLOR cc = {<br />
　 sizeof( CHOOSECOLOR ),<br />
　 m_hwndParent, // 父窗口啦，设置为NULL的话，就是桌面了<br />
　 NULL,　// 一个句柄，没用到，详看MSDN<br />
　 retColor,　// 如果设置了CC_RGBINIT 就是初始的颜色值了，同时它作为返回值，返回所选择的颜色<br />
　 cusColor, // 初始的自定义颜色数组，设置为NULL的话，会出错，不设置的话，好像就是随机值了，我把它都清理成0了<br />
　 CC_RGBINIT|CC_FULLOPEN | CC_ENABLEHOOK | CC_ANYCOLOR, // 红色为设置自己的消息处理函数<br />
　　 NULL,<br />
　 (LPCCHOOKPROC)MyCCHookProc, // 使用自定义的消息处理函数<br />
　 NULL<br />
　 };</code></p>
<p>(2)、调用</p>
<p>ChooseColor( &amp;cc ); // 点击"确定"返回 TRUE, 否则返回 FALSE</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:26:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%b6%88%e6%81%af/" title="消息">消息</a>, <a href="https://www.iamivan.net/tag/%e9%a2%9c%e8%89%b2/" title="颜色">颜色</a>, <a href="https://www.iamivan.net/tag/null/" title="null">null</a>, <a href="https://www.iamivan.net/tag/message/" title="message">message</a>, <a href="https://www.iamivan.net/tag/colorref/" title="COLORREF">COLORREF</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>扩展颜色对话框的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bElO3qz.html" rel="bookmark">C&num;颜色对话框&lpar;ColorDialog&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.颜色对话框(ColorDialog)的常见属性AllowFullOpen 禁止和启用&quot;自定义颜色&quot;按钮 FullOpen 是否最先显示对话框的&quot;自定义颜色&quot;部份 ShowHelp 是否显示&quot;帮助&quot;按钮 Color 在对话框中显示的颜色 AnyColor 显示可选择任何颜色 CustomColors 是否显示自定义颜色 SolidColorOnly 是否只能选择纯色 二.实现代码见下: private void colorDialogBTN_C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY98QlM.html" rel="bookmark">MFC  颜色对话框  字体对话框  WM&lowbar;CTLCOLOR消息总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				      1.     颜色对话框         CHOOSECOLOR  结构体来设置获取颜色对话框的相关信息      成员变量m_cc     m_cc.rgbResult  在IDOK之后保存的是选择的颜色RGB值            COLORREF choose_color;     CColorDialog  dlg;  //创建颜色对话框     dlg.m_cc.Flags|=CC_RGBINIT ;//以用户选择的颜色进行初始化颜色打开对话框    dlg.m_cc.F			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmy4np.html" rel="bookmark">对话框-OnCtlColor函数关于颜色调用的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 OnCtlColor函数关于颜色调用的问题 OnCtlColor函数怎么保存CColorDiaog对话框设置的对话框?我不希望它每次都调用.谢谢 解决方案 void CApp2Dlg::OnButton1() { // TODO: Add your control notification handler code here CColorDialog colorDia; if (colorDia.DoModal() == IDOK) { m_color = colorDia.GetCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrB20M.html" rel="bookmark">C&num; winform对话框用法大全收藏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  对话框中我们常用了以下几种: 1.文件对话框(FileDialog) 它又常用到两个: 打开文件对话框(OpenFileDialog) 保存文件对话(SaveFileDialog) 2.字体对话框(FontDialog) 3.颜色对话框(ColorDialog) 4.打印预浏对话框(PrintPreviewDialog) 5.页面设置(PrintDialog) 6.打印对话框(PrintDialog) 还有更多,有时间的网友可以看看MSDN.下面我们一个个来介绍.在介绍的过程中我用到了一个自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RYn6z.html" rel="bookmark">积累的VC编程小技巧之对话框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.用鼠标移动基于对话框的无标题栏程序的简单方法 void CVCTestDlg::OnLButtonDown(UINT nFlags, CPoint point) {    //一句话解决问题     SendMessage(WM_SYSCOMMAND,0xF012,0);    CDialog::OnLButtonDown(nFlags, point);}   2.对话框消息映射 有对话框A,B从A中发消息给B然后B处理.准备工作,先定义消息,如下#define WM_B_NOTIFY WM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ybjEw8z.html" rel="bookmark">教你怎么改PPT超链接颜色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  很多时候我们需要更改PPT中的超链接颜色,由于在PowerPoint中,超链接未被访问默认颜色为淡紫色,已被访问的颜色是浅灰色,幻灯片背景颜色与超级链接的颜色有时候相同或相近,这样看起来就不太显眼,不易辨认.那么怎么改PPT超链接颜色呢? 我们可以通过以下几步来实现. 以下面一张幻灯片为例,我们可以在幻灯片中添加一个超链接来增加点击效果. 第1步 单击&quot;插入&quot;选项卡的&quot;文本框&quot;按钮,在弹出的下拉列表中单击&quot;横排文本框&quot;选项,如下图: 图1 第			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxGyPb.html" rel="bookmark">VB用API实现各种对话框&lpar;总结&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对话框 各种对话框(总结) ''标准对话框(SmDialog)'Option Explicit''定义一个全局变量,用于保存字体的各种属性Public Type SmFontAttr FontName As String '字体名 FontSize As Integer '字体大小 FontBod As Boolean '是否黑体 FontItalic As Boolean '是否斜体 FontUnderLine As Boolean '是否下划线 FontStrikeou As Boolean			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGa32M.html" rel="bookmark">控制VC&plus;&plus;&period;NET中WEB对话框的HTML元素属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c++|web|对话框|控制 VC++.NET一个令人耳目一新的特性就是基于动态HTML的WEB对话框,它使得桌面程序界面和功能变得更容易实现.这里将对WEB对话框中HTML元素的CSS属性控制作探讨. 一.在HTML编辑器中设置元素的CSS属性 CSS最早出现于1996年,全称为:层叠样式表(Cascading Stylesheets).由于它在字体.样式.风格等方面的突出表现使它迅速在网页制作中流行起来.它可以精确控制页面文字效果,最重要的是很多浏览器和平台都支持它,而且编码简短,页面下载快			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEm17b.html" rel="bookmark">如何为Word 2013文档设置单色背景颜色</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页面背景是指显示于Word2013文档最底层的颜色或图案,用于丰富Word2013文档的页面显示效果.在Word2013文档中设置单色页面背景的步骤如下所述: 第1步,打开Word2013文档窗口,切换到&quot;设计&quot;选项卡. 第2步,在&quot;页面背景&quot;分组中单击&quot;页面颜色&quot;按钮,并在打开的页面颜色面板中选择&quot;主题颜色&quot;或&quot;标准颜&quot;中的特定颜色,如图2013072711所示. 图2013072711 &quot;页面			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0mPDp.html" rel="bookmark" class="title">Photoshop创意合成教程&colon;风景优美的景观全景</a>
					<div>
						Photoshop是一个梦幻般的应用程序,不同照片进行融合,创造全新的东西.在本教程中,我们将融合一些照片,以创造一个风景优美的景观全景.让我们开始吧. 最终效果: Step 1 新建图层,讲所有素材 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7mkKM.html" rel="bookmark" class="title">找到一个舞台 厦门渊博CEO刘辉访谈</a>
					<div>
						人物简介:刘辉 大二时自动退学,大学教育的叛逆者.先后在厦门陆桥经济发展有限公司担任技术总监,厦门华天涉外职业技术学院担任网络中心主任.现任厦门渊博科技的总经理,厦门.net俱乐部组织者. 方舟:您大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDZxWM.html" rel="bookmark" class="title">解决用户控件路径问题</a>
					<div>
						解决|控件|问题 问题:目录结构如下:wwwroot/CAOL +-------Images | +---------------test.gif +------UserCtrl | +------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO5BWM.html" rel="bookmark" class="title">IBM SmartCloud Enterprise管理（四） 使用 ICCT 创建镜像</a>
					<div>
						软件包是可以部署在虚拟机实例上的软件安装文件.配置文件和元数据的集合.在本系列的最后一篇文章 中,作者将介绍三种使用 ICCT 创建镜像来捕获定制镜像的机制,以及通过更新语义拓扑结构文件在镜像与软 件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PdYDM.html" rel="bookmark" class="title">&period;Net实现程序的插件机制</a>
					<div>
						使用asp.net或vb.net或C#.net均可以实现插件的功能,插件的作用是对系统的后期未知扩展预留快速升级的空间!插件开发完成后将以DLL的形式发布到特定的文件夹中,例如主程序文件夹是D:\my ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEl3Wb.html" rel="bookmark" class="title">PS制作迪士尼雪景图</a>
					<div>
						  用过PS的人都知道这个软件有多么的神奇,只要你想得到,没有它做不到的.在今天的教程中,我们将会用一些荒漠场景的图片来制作迪士尼风格的雪景图,教程比较长,所以话不多说,开始! Step 1 – 创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RYO9p.html" rel="bookmark" class="title">wps常用的课件制作软件相比</a>
					<div>
						①flash flash是macromedia公司出品的,用在互联网上动态的.可互动的shockwave.它的优点是体积小,可边下载边播放,这样就避免了用户长时间的等待. flash可以用其生成动画, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd04oM.html" rel="bookmark" class="title">Word如何制作毕业电子证书</a>
					<div>
						  本次word教程比较基础,有需要的朋友进来学习咯! 制作方法 ①我以Word2010为例,启动Word2010,单击菜单栏--新建--证书.奖状. ②然后拖动滚动条,找到学院文件夹,双击打开. ③ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3kREM.html" rel="bookmark" class="title">推送segue时ios6崩溃</a>
					<div>
						问题描述 推送segue时ios6崩溃 使用的CalculatorViewController中有一个graph按钮.点击按钮会触发segue推送到CalculaterGraphViewControl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42xqYM.html" rel="bookmark" class="title">不想早死的程序员们看过来！</a>
					<div>
						5种原因加速你的衰老 小序: 早就听人说,&quot;三十岁前你找病,三十岁后病找你&quot;.虽然大多数时候我都认为那是心理暗示的积累作用,但的确感觉在熬夜方面干不过比我年轻几岁的兄弟们了--其实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NqkOM.html" rel="bookmark" class="title">OpenCV 2&period;4&plus; C&plus;&plus; 边缘梯度计算</a>
					<div>
						很久没有看到这么好的文章了,必转~~~ 图像的边缘 图像的边缘从数学上是如何表示的呢? 图像的边缘上,邻近的像素值应当显著地改变了.而在数学上,导数是表示改变快慢的一种方法.梯度值的大变预示着图像中内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N9gOM.html" rel="bookmark" class="title">c语言-C语言的static全局变量有什么意义？</a>
					<div>
						问题描述 C语言的static全局变量有什么意义? .h文件中的全局变量用了static修饰,但被其它文件包含后,这个static全局变量还是可以被其它文件访问,那我声明为static有什么意义? 怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7ygop.html" rel="bookmark" class="title">GitLab的安装及使用教程</a>
					<div>
						GitLab基本介绍 GitLab是利用Ruby on Rails一个开源的版本管理系统,实现一个自托管的Git项目仓库,可通过Web界面进行访问公开的或者私人项目. 与Github类似,GitLab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My36AJz.html" rel="bookmark" class="title">iOS开发者账号总结</a>
					<div>
						之前写过一篇&lt;iOS开发者账号总结&gt;的文章,主要总结了不同开发者账号之间的区别,以及一些账号管理和选择上的建议. 但是,之前的文章因为没有开启Markdown,而且当时写得有点潦草,现在看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZBo9b.html" rel="bookmark" class="title">戳破云计算真相：网络带宽有限 让&OpenCurlyDoubleQuote;雾计算&rdquo;来帮忙</a>
					<div>
						5月19日消息,云计算或将成为促进变革的重要力量,但&lt;华尔街日报&gt;网站一篇题为&lt;忘记&quot;云&quot;;&quot;雾&quot;才是科技的未来&gt;的文章却指出,由于接入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA7N4p.html" rel="bookmark" class="title">Web站点的传输--《构建高性能Web站点》阅读1</a>
					<div>
						1 数据是如何发送的 a 应用程序将要传输的数据放入内存中 b 应用程序使用send等库函数,通知内核将传输数据放入内核缓存区.数据是以队列的形式进入的,如果数据较多,则等前一波数据发送完后,再发送另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKG9Bb.html" rel="bookmark" class="title">跪求大神解答-关于虚拟机的问题跪求高手解答</a>
					<div>
						问题描述 关于虚拟机的问题跪求高手解答 启动虚拟机时,出现如下图情况怎么办?台式机无光驱,跪求谢谢! 解决方案 找不到系统的启动 重新装系统吧 解决方案二: 找不到操作操作系统了,虚拟机里没有系统,重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAGYZM.html" rel="bookmark" class="title">设置git使用vimdiff比较差异</a>
					<div>
						原文:http://hi.baidu.com/drdr/blog/item/57de1e95665a81047af48062.html 修改git的如下2条配置: git config --globa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRx9Ap.html" rel="bookmark" class="title">如何防止数据库雪崩</a>
					<div>
						如何防止数据库雪崩 作者 digoal 日期 2016-09-08 标签 PostgreSQL , DDL雪崩 , 业务雪崩 , 语句超时 , 数据库雪崩 , 数据库预热 背景 在数据库的使用过程中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgGr9M.html" rel="bookmark" class="title">Android ListView 异步加载图片</a>
					<div>
						http://www.iteye.com/topic/1118828 http://www.iteye.com/topic/1127914 先说说这篇文章的优点把,开启线程异步加载图片,然后刷新UI显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xJE4b.html" rel="bookmark" class="title">Eclipse 快捷方式 指定 固定 workspace</a>
					<div>
						右点击Eclipse快捷键,然后点击属性, 把目标(target)内容修改如下: clipse -data c:\myworkspace -vm c:\ j2sdk1.5\jre\bin\javaw  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKmrJp.html" rel="bookmark" class="title">Java 做的cms</a>
					<div>
						问题描述 大家好,有没有人做过Java的cms开发呢,可以交流一下吗,我最近在开发Java版的cms,可是遇到好多问题,大家都用什么模板引擎呢 解决方案 解决方案二:没有做过,帮顶解决方案三:该回复于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX3xVb.html" rel="bookmark" class="title">java&period;lang&period;String的cloassloader为null的原因</a>
					<div>
						问题描述 本意是取自定义对象的classloader,但由于参数错误,传入了一个string对象.发现String对象调用getClassLoader()的返回为null.查看了JDK1.6的源码,对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk3EZM.html" rel="bookmark" class="title">SparkUI界面打不开</a>
					<div>
						问题描述 Spark任务Finished过后进入SparkHistory界面,SparkDAGVisualization打不开,求大神告知为什么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeYZdM.html" rel="bookmark" class="title">【POJ 1236 Network of Schools】强联通分量问题 Tarjan算法，缩点</a>
					<div>
						题目链接:http://poj.org/problem?id=1236 题意:给定一个表示n所学校网络连通关系的有向图.现要通过网络分发软件,规则是:若顶点u,v存在通路,发给u,则v可以通过网络从u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK1yZp.html" rel="bookmark" class="title">C&plus;&plus;第13周项目5&mdash;&mdash;银行系统支持多用户（v0&period;3）</a>
					<div>
						课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 说明:此项目是为未学习数组的同学拟出的,目的是让他们对&quot;工程&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlNZ1p.html" rel="bookmark" class="title">谁在建影院？电影产业投资热潮下危机四伏</a>
					<div>
						101.72亿元,同比增长50%,中国电影2010年的票房收入相当&quot;给力&quot;.然而,是什么给了2010年票房如此多&quot;力&quot;? 票房的发生地--影院或许能够给我们提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEENQp.html" rel="bookmark" class="title">基于jQuery的消息提示插件之旅 DivAlert&lpar;三&rpar;&lowbar;jquery</a>
					<div>
						本版本遵循了2.0的写法,此处通过extend方法封装了需要设置的各个选项,比起2.0版本的代码要精简了一些. 2.0版本 复制代码 代码如下: //设置插件基本信息 var options = o  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0EAVp.html" rel="bookmark" class="title">如何加一个返回上一界面的按钮？</a>
					<div>
						问题描述 解决方案 解决方案二:好像没有像页面那种的返回上一个页面的功能,只有你放一个按钮让它打开指定的界面然后关闭当前界面.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV8Wwz.html" rel="bookmark" class="title">demo中的MainActivity要怎么拆分</a>
					<div>
						问题描述 demo中的MainActivity要怎么拆分,因为项目中使用的不是三个tab按钮,而是三个cardview,所以需要把MainActivity拆分到SuperAsomenFragment中 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
